• Resolved Roberto Gallego

    (@robertgallmar)


    Hola, buenas tardes, he instalado este plugin en decenas de web pero ahora me encuentro con este error y he buscado por la red, al paracer tiene arregle pero no consigo dar con la tecla, casi todo está en inglés y me pierdo un poco con los terminos.

    Lo instala bien, se activia bien, pero cuando clico en el plugin para poder inciar la configuración me sale esto:

    “`Configura Site Kit
    Obtén información sobre cómo la gente encuentra tu sitio, así como sobre cómo mejorar y monetizar el contenido de tu sitio, directamente en tu escritorio de WordPress.

    Es posible que tu sitio no esté preparado para Site Kit
    Parece que tu sitio está teniendo un problema técnico con la recuperación de datos de los servicios de Google.
    Para conseguir más ayuda haz una pregunta en nuestro foro de soporte e incluye el texto del mensaje de error original:
    google_api_connection_fail`”

    Muchas gracias por vuestra ayuda.

    Un saludo.

    Roberto Gallego

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support James Osborne

    (@jamesosborne)

    Hi Roberto,

    Thanks for reaching out, and sorry to hear you’re encountering this error on one particular site. The error indicates that there may be something blocking access from your site to the required Google services.

    So we can determine more on this please share the following:

    1. Your Site Health information. You can use this form to share privately if preferred.
    2. What is your current location? I ask as Google services are blocked in some regions.
    3. Have you attempted setup using a different device, just in case there is something locally, such as a VPN or other software impacting setup?

    Let me know if you have any questions with the above.

    Thread Starter Roberto Gallego

    (@robertgallmar)

    Thank you very much for responding to my request for help.

    In response to the three questions:

    1. Made and shipped.
    2. I am in Spain.
    3. Yes, but it gives the same error.

    Greetings.

    Robert Gallego

    Plugin Support James Osborne

    (@jamesosborne)

    Hi Robert,

    Many thanks for the update. I’ve inspected your setup and reviewed your Site Health information. From doing so I don’t see anything unusual, or anything that would be blocking your connection to the Site Kit service.

    So we can determine more please reset the plugin (Tools > Available Tools > Reset Site Kit) for this particular site. After doing so please attempt setup once more. If you see the same error please share any warnings or errors when checking your Site Health status (Tools > Site Health > Status), which differs from your Site Health information you previously shared? Such errors may include REST endpoint references or cURL errors.

    Let me know how you get on with the above, or ask if you have any questions.

    Thread Starter Roberto Gallego

    (@robertgallmar)

    `Good afternoon James,

    First of all thank you for your time to help me.

    I have done what you have indicated and it continues to give the same error, now I have seen a new warning that I did not see before, I paste it below:

    <strong>Error desconocido (código: The cURL request was retried 3 times and did no succeed. cURL was unable to rewind the body of the request and subsequent retries resulted in the same error. Turn on the debug option to see what went wrong. See https://bugs.php.net/bug.php?id=47204 for more information.). Para corregirlo, vuelve a hacer la configuración del plugin.</strong>

    In Site Health information, there are 2 variations

    Before:
    ### google-site-kit ###
    active_modules: site-verification, search-console, analytics, analytics-4, pagespeed-insights
    enabled_features:
    serviceSetupV2: ✅

    Now:
    active_modules: site-verification, search-console, pagespeed-insights
    enabled_features:
    serviceSetupV2: ⭕

    Thank you very much.

    Greetings.

    Plugin Support James Osborne

    (@jamesosborne)

    Hi Robert,

    Many thanks for the update, and good afternoon to you also! It sounds like you’re encountering a cURL error, which is something that must be resolved at host level.

    In Site Health information, there are 2 variations…

    Unfortunately this only lists the connected modules, and doesn’t provide insights into the error you’re facing. The serviceSetupV2 reference which you share indicated that you have the new setup interface active, something which is being released to users incrementally.

    If you’d like to share your Site Health status this can show more details on any cURL errors (Tools > Site Health > Status). Let me know if you do see any cURL or other errors from there.

    As cURL is a PHP module you may also wish to change your PHP version from your hosting control panel and check does the same error appear.

    Let me know of your Site Health status anyway, and whether changing to PHP 7.4 for example allows you to proceed with Site Kit setup.

    Plugin Support James Osborne

    (@jamesosborne)

    @robertgallmar Just following up with you to check whether your still encounter the same issue? If so let me know how you get on with changing PHP version, or whether you’ve spoken to your host about the cURL issues.

    Plugin Support Adam Dunnage

    (@adamdunnage)

    As we didn’t receive a response I’ll mark this as resolved. Feel free to open a new support topic if you continue to encounter issues, or reopen this topic and we’d be happy to assist.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.